Skip to main content
POST/api/conversations/{conversationId}/headless/{next}

Send the information obtained from the user during the identity verification process

Takes the information from the user and calculates the next step that should be rendered to the user.

Detailed description of returned attributes:

ParameterExampleDescription
componentGLOBAL/ACCEPTEDName of method related with current step and expected action related to UI in verification process.
nextfd78cf43-12a7...Id of the page to which the user information should be submitted. Information is sent via the method POST /api/conversations/{conversationId}/headless/{next}.
argsparameter name listList of parameters that should be displayed to the user.
errorsmap with field name and error descriptionA map specifying incorrectly entered form fields and a description of the associated error.
errors.fieldparameter name sent in body attribute, validated and marked as incorrectValue specifying incorrectly entered form field.
errors.codeerror code related to the field described in errors.field attributeValue describing the error associated to the form field.

Parameters

NameInTypeRequiredDescription
conversationIdpathstringRequired

Conversation ID

nextpathstringRequired

Next step ID

X-User-IPheaderstringRequired

User IP Address

Request Body

Required
Content-Typeapplication/jsonJSON
argsobject
[additional properties]string

Responses

Information available

Content-Typeapplication/vnd.authologic.v1.1+jsonJSON
componentstring

Information needed to render the page

nextstring

Id of the page to which the user information should be submitted

argsobject

Option parameters which can be used by the user

[additional properties]any
errorsarray<HeadlessPageArgError>

Information about errors occurred when processing the data from the page

Powered by Authologic Nisaba